# substitute_abstract_code_functions function

(Shortest import: `from brian2.parsing.functions import substitute_abstract_code_functions)`

brian2.parsing.functions.substitute_abstract_code_functions(code, funcs)

  Performs inline substitution of all the functions in the code

  Parameters:

    code : str

    > The abstract code to make inline substitutions into.

    funcs : list, dict or set of AbstractCodeFunction

    > The function substitutions to use, note in the case of a dict, the keys are ignored and the function name is used.

  Returns:

    code : str

    > The code with inline substitutions performed.